# Nigel's NFS that we use for rando stuff
job "nfs" {
  type = "service"

  group "nfs" {
    count = 1
    network {
      port "v4" {
        static = 2049
      }
    }

    service {
      name = "nfs"
      port = "v4"
      provider = "nomad"
    }

    volume "nfs_files" {
      type      = "host"
      read_only = false
      source    = "nfs"
    }
    task "nfs" {
      driver = "docker"

      config {
        image = "erichough/nfs-server"
        ports = [ "v4" ]
        args = ["--cap-add", "SYS_ADMIN"]
      }
    }
  }
}
